# $Revision: 1.25 $, $Date: 2007/01/10 17:42:14 $
# TODO
# - soname for libm4systems(?)
# - use system mozilla includes
# - ./configure[692]: wx-config: not found
# - ./configure[693]: wx-config: not found
# - CC, CFLAGS
# - Xiph Theora: no
#
# Conditional build:
%bcond_with	amr
%bcond_without	faad
%bcond_without	ffmpeg
%bcond_without	freetype
%bcond_without	jpeg
%bcond_without	js
%bcond_without	mad
%bcond_without	png
%bcond_without	xvid
%bcond_with	wx
#
Summary:	GPAC - an implementation of the MPEG-4 Systems standard (ISO/IEC 14496-1)
Summary(pl):	GPAC - implementacja standardu MPEG-4 Systems (ISO/IEC 14496-1)
Name:		gpac
Version:	0.4.0
Release:	4
License:	LGPL
Group:		Applications
Source0:	http://dl.sourceforge.net/gpac/%{name}-%{version}.tar.gz
# Source0-md5:	a8b4b3206cabda946850240f1e7aea93
Source1:	http://www.3gpp.org/ftp/Specs/archive/26_series/26.073/26073-530.zip
# Source1-md5:	705f6993fbf890e92eb7a331e7c716d1
Patch0:		%{name}-install.patch
Patch1:		%{name}-wxWidgets.patch
Patch2:		%{name}-amd64.patch
Patch3:		%{name}-libdir.patch
URL:		http://gpac.sourceforge.net/
BuildRequires:	SDL-devel
%{?with_faad:BuildRequires:	faad2-devel}
%{?with_ffmpeg:BuildRequires:	ffmpeg-devel}
%{?with_freetype:BuildRequires:	freetype-devel}
%{?with_js:BuildRequires:	js-devel}
%{?with_jpeg:BuildRequires:	libjpeg-devel}
%{?with_mad:BuildRequires:	libmad-devel}
%{?with_png:BuildRequires:	libpng-devel}
BuildRequires:	libxml2-devel
BuildRequires:	rpmbuild(macros) >= 1.357
%{?with_wx:BuildRequires:	wxGTK2-devel >= 2.5.4}
%{?with_xvid:BuildRequires:	xvid-devel}
Requires:	SDL
%{?with_faad:Requires:	faad2}
%{?with_ffmpeg:Requires:	ffmpeg}
%{?with_freetype:Requires:	freetype}
%{?with_js:Requires:	js}
%{?with_jpeg:Requires:	libjpeg}
%{?with_mad:Requires:	libmad}
%{?with_png:Requires:	libpng}
%{?with_xvid:Requires:	xvid}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _noautoreq   libm4systems.so

%description
GPAC is an implementation of the MPEG-4 Systems standard (ISO/IEC
14496-1) developed from scratch in ANSI C.

The main development goal is to provide a clean (a.k.a. readable by as
many people as possible), small and flexible alternative to the MPEG-4
Systems reference software (known as IM1 and distributed in ISO/IEC
14496-5). The MPEG-4 Reference software is indeed a very large piece
of software, designed to verify the standard rather than provide a
small, production-stable software. GPAC is written in ANSI C for
portability reasons (embedded platforms and DSPs) with a simple goal:
keep the memory footprint as low as possible. The project will at term
provide player(s), systems encoders and publishing tools for content
distribution.

%description -l pl
GPAC to implementacja standardu MPEG-4 Systems (ISO/IEC 14496-1)
stworzona od zera w ANSI C.

Gwnym celem tworzenia jej jest dostarczenie czystej (tzn. czytelnej
dla jak najwikszej liczby ludzi), maej i elastycznej alternatywy dla
wzorcowego oprogramowania MPEG-4 Systems (znanego jako IM1 i
rozprowadzanego w ISO/IEC 14496-5). Wzorcowe oprogramowanie MPEG-4
jest bardzo du porcj kodu, zaprojektowan raczej do zweryfikowania
standardu ni dostarczenia maej, stabilnej wersji produkcyjnej. GPAC
jest pisany w ANSI C ze wzgldu na przenono (platformy wbudowane i
DSP) z prostym celem: wymaga tak mao pamici, jak to tylko moliwe.
Projekt docelowo dostarczy odtwarzacz(e), kodery systemowe i narzdzia
do publikacji w celu dystrybucji materiaw.

%package -n browser-plugin-%{name}
Summary:	GPAC browser plugin
Summary(pl):	Wtyczka GPAC do przeglderek WWW
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	browser-plugins >= 2.0
Requires:	browser-plugins(%{_target_base_arch})

%description -n browser-plugin-%{name}
GPAC plugin for Netscape-compatible WWW browsers.

%description -n browser-plugin-%{name} -l pl
Wtyczka GPAC dla przegldarek WWW zgodnych z Netscape.

%prep
%setup -q -n %{name}
%patch0 -p1
%{?with_wx:%patch1 -p1}
%patch2 -p1
%patch3 -p1
%if %{with amr}
mkdir -p Plugins/amr_dec/AMR_NB
cd Plugins/amr_dec/AMR_NB
unzip -j %{SOURCE1}
unzip -j 26073-530_ANSI_C_source_code.zip
cd ../../..
%endif
chmod a+x configure

# files for w32 and Linux were swapped
rm -rf applications/osmozilla/nsIOsmozilla.xpt_linux
mv applications/osmozilla/nsIOsmozilla.xpt_w32 applications/osmozilla/nsIOsmozilla.xpt_linux

%build
%configure \
	--extra-cflags="-fPIC" \
	--extra-ldflags="-fPIC" \
	--enable-oss-audio \
	%{?with_amr:--enable-amr-nb} \
	%{!?with_faad:--disable-faad} \
	%{!?with_ffmpeg:--disable-ffmpeg} \
	%{!?with_freetype:--disable-ft} \
	%{!?with_jpeg:--disable-jpeg} \
	%{!?with_js:--disable-js} \
	%{!?with_mad:--disable-mad} \
	%{!?with_png:--disable-png} \
	%{!?with_xvid:--disable-xvid}

%{__make} -j1 \
	XLIBDIR="/usr/X11R6/%{_lib}" \
	DESTDIR=$RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	plugdir=$RPM_BUILD_ROOT%{_libdir}/gpac \
	real_plugdir=%{_libdir}/gpac \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	MOZILLA_DIR=$RPM_BUILD_ROOT%{_browserpluginsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -n browser-plugin-%{name}
%update_browser_plugins

%postun -n browser-plugin-%{name}
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS Changelog README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%dir %{_libdir}/gpac
%attr(755,root,root) %{_libdir}/gpac/*.so
%{_mandir}/man1/*

%files -n browser-plugin-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{_browserpluginsdir}/nposmozilla.so
%{_browserpluginsdir}/nposmozilla.xpt

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gpac.spec,v $
Revision 1.25  2007/01/10 17:42:14  glen
- browser plugins v2; rel 4

Revision 1.24  2006/12/09 11:39:20  glen
- make -j1

Revision 1.23  2006/10/30 18:05:14  shadzik
- support mozilla-firefox-bin; rel++

Revision 1.22  2006/06/12 18:07:43  hawk
- release 2

Revision 1.21  2006/06/12 18:00:29  hawk
- added libdir fix for amd64

Revision 1.20  2006/06/12 17:16:24  hawk
- lets try to fix amd64

Revision 1.19  2006/04/20 21:48:06  mguevara
- repairs with amr bcond return

Revision 1.18  2006/03/19 15:47:09  glen
- drop trigger on mozilla-plugin-gpac (package never existed)
- BR for browser-plugins macros
- adapterized

Revision 1.17  2006/03/19 13:21:51  qboosh
- it includes outdated gecko-sdk, need to switch to system one

Revision 1.16  2006/03/19 12:52:33  qboosh
- use SOURCE1 macro

Revision 1.15  2006/03/19 12:48:00  qboosh
- tabs, 644 for .xpt

Revision 1.14  2006/03/19 12:43:43  maciek2w
- updated to 0.4.0
- changed licence to LGPL
- added subpackage with browser plugin

Revision 1.13  2005/10/31 11:01:55  arekm
- rel 3

Revision 1.12  2005/04/28 19:16:31  qboosh
- less error-prone files

Revision 1.11  2005/04/27 12:26:12  speedy
- release 2

Revision 1.10  2005/04/27 11:09:59  speedy
- build with -fPIC

Revision 1.9  2005/04/27 10:36:57  speedy
- -fPIC (amd64)

Revision 1.8  2005/04/26 21:46:30  speedy
- release 1

Revision 1.7  2005/04/12 21:22:08  qboosh
- removed COPYING from doc (just GPL)

Revision 1.6  2005/04/09 20:05:27  speedy
- fix %%install
- bcond: wx (build with wxWidgets application, experimental)
- release 0.2

Revision 1.5  2005/04/07 21:36:35  speedy
- up to 0.2.4

Revision 1.4  2005/03/23 17:18:07  glen
- dropped SourceX-size

Revision 1.3  2004/10/26 19:19:14  qboosh
- pl desc, cleanups/unifications

Revision 1.2  2004/10/26 06:44:02  ankry
- Summary cosmetics, formattong

Revision 1.1  2004/10/25 22:48:37  mguevara
- GPAC - MPEG-4 tools, spec based on the original Sverker Abrahamsson
  <sverker@abrahamsson.com> spec for RedHat/Fedora
